Public Class Form1

    Private objNonCode As New NonCodeNet.NonCodeClass  ' R[h/ϊIuWFNg
    Private strOutCode As String                       ' o͕R[h

    ' SJISւ̕ϊ
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        strOutCode = "SJIS"
        TextCodeChg()
    End Sub

    ' JISւ̕ϊ
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        strOutCode = "JIS"
        TextCodeChg()
    End Sub

    ' EUCւ̕ϊ
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        strOutCode = "EUC"
        TextCodeChg()
    End Sub

    ' UNICODEւ̕ϊ
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        strOutCode = "UNICODE"
        TextCodeChg()
    End Sub

    ' UTF7ւ̕ϊ
    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        strOutCode = "UTF7"
        TextCodeChg()
    End Sub

    ' UTF8ւ̕ϊ
    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        strOutCode = "UTF8"
        TextCodeChg()
    End Sub

    Private Sub TextCodeChg()
        Dim sr As System.IO.Stream = Nothing
        Dim sw As System.IO.Stream = Nothing
        Dim br As System.IO.BinaryReader = Nothing
        Dim bw As System.IO.BinaryWriter = Nothing
        Try
            ' ̓t@CoCi`œ
            Dim AppPath As String = System.AppDomain.CurrentDomain.BaseDirectory
            sr = System.IO.File.Open(AppPath & "TestUtf8.txt", System.IO.FileMode.Open, System.IO.FileAccess.Read)
            br = New System.IO.BinaryReader(sr)
            Dim dat() As Byte = New Byte(sr.Length - 1) {}
            dat = br.ReadBytes(sr.Length)

            ' R[h(blnBin=oCi薳)
            Dim cod As String = objNonCode.GetCodeName(dat, blnBin:=False)

            ' 肵R[hString(UNICODE)ɕϊ
            Dim uni As String
            Select Case cod
                Case "SJIS"
                    ' SJISUNICODEւ̕ϊ
                    uni = objNonCode.SJIS_To_VbUnicode(dat)
                Case "JIS"
                    ' JISUNICODEւ̕ϊ
                    uni = objNonCode.JIS_To_VbUnicode(dat)
                Case "EUC"
                    ' EUCUNICODEւ̕ϊ
                    uni = objNonCode.EUC_To_VbUnicode(dat)
                Case "UNICODE"
                    ' UNICODEUNICODEւ̕ϊ
                    uni = objNonCode.UNICODE_To_VbUnicode(dat)
                Case "UTF7"
                    ' UTF-7UNICODEւ̕ϊ
                    uni = objNonCode.UTF7_To_VbUnicode(dat)
                Case "UTF8"
                    ' UTF-8UNICODEւ̕ϊ
                    uni = objNonCode.UTF8_To_VbUnicode(dat)
                Case "BIN"
                    ' SJISUNICODEւ̕ϊ
                    uni = objNonCode.SJIS_To_VbUnicode(dat)
                Case Else
                    ' SJISUNICODEւ̕ϊ
                    uni = objNonCode.SJIS_To_VbUnicode(dat)
            End Select

            ' String(UNICODE)o͂R[hBytezɕϊ
            cod = strOutCode
            Select Case cod
                Case "SJIS"
                    ' UNICODESJISւ̕ϊ
                    dat = objNonCode.VbUnicode_To_SJIS(uni)
                Case "JIS"
                    ' UNICODEJISւ̕ϊ
                    dat = objNonCode.VbUnicode_To_JIS(uni)
                Case "EUC"
                    ' UNICODEEUCւ̕ϊ
                    dat = objNonCode.VbUnicode_To_EUC(uni)
                Case "UNICODE"
                    ' UNICODEUNICODEւ̕ϊ
                    dat = objNonCode.VbUnicode_To_UNICODE(uni)
                Case "UTF7"
                    ' UNICODEUTF7ւ̕ϊ
                    dat = objNonCode.VbUnicode_To_UTF7(uni)
                Case "UTF8"
                    ' UNICODEUTF8ւ̕ϊ
                    dat = objNonCode.VbUnicode_To_UTF8(uni)
                Case Else
                    ' UNICODESJISւ̕ϊ
                    dat = objNonCode.VbUnicode_To_SJIS(uni)
            End Select

            ' o̓t@CoCi`ŏo
            sw = System.IO.File.Open(AppPath & "TestOut.txt", System.IO.FileMode.Create, System.IO.FileAccess.Write)
            bw = New System.IO.BinaryWriter(sw)
            bw.Write(dat)
        Catch ex As Exception
            Throw ex
        Finally
            ' t@C̃N[Y
            If br Is Nothing = False Then br.Close()
            If sr Is Nothing = False Then sr.Close()
            If bw Is Nothing = False Then bw.Close()
            If sw Is Nothing = False Then sw.Close()
        End Try
    End Sub
End Class
